DefaultCellViewFactory (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.DefaultCellViewFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class DefaultCellViewFactory

    java.lang.Object
      org.jgraph.graph.DefaultCellViewFactory

All Implemented Interfaces:
  CellViewFactory, Serializable

public class DefaultCellViewFactory
extends Object
implements CellViewFactory, Serializable

The default implementation of a cell view factory that returns the default views for vertices, edges and ports.

See Also:
  Serialized Form

Constructor Summary
`DefaultCellViewFactory()`

Method Summary
`protected EdgeView` | `createEdgeView(Edge cell)` Deprecated. replaced by `createEdgeView(Object)`since JGraph no longer exposes dependecies on GraphCell subclasses (Port, Edge)
`protected EdgeView` | `createEdgeView(Object cell)` Constructs an EdgeView view for the specified object.
`protected PortView` | `createPortView(Object cell)` Constructs a PortView view for the specified object.
`protected PortView` | `createPortView(Port cell)` Deprecated. replaced by `createPortView(Object)`since JGraph no longer exposes dependecies on GraphCell subclasses (Port, Edge)
`protected VertexView` | `createVertexView(Object cell)` Constructs a VertexView view for the specified object.
`CellView` | `createView(GraphModel model, Object cell)` Constructs a view for the specified cell and associates it with the specified object using the specified CellMapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCellViewFactory

    public DefaultCellViewFactory()

Method Detail

### createView

    public CellView createView(GraphModel model,
                               Object cell)

  Constructs a view for the specified cell and associates it with the specified object using the specified CellMapper. This calls refresh on the created CellView to create all dependent views.

  Note: The mapping needs to be available before the views of child cells and ports are created. Note: This method must return new instances!

  Specified by:
    `createView` in interface `CellViewFactory`
  Parameters:
    `cell` - reference to the object in the model

### createVertexView

    protected VertexView createVertexView(Object cell)

  Constructs a VertexView view for the specified object.

### createEdgeView

    protected EdgeView createEdgeView(Object cell)

  Constructs an EdgeView view for the specified object.

### createPortView

    protected PortView createPortView(Object cell)

  Constructs a PortView view for the specified object.

### createEdgeView

    protected EdgeView createEdgeView(Edge cell)

  Deprecated. replaced by `createEdgeView(Object)`since JGraph no longer exposes dependecies on GraphCell subclasses (Port, Edge)

  Constructs an EdgeView view for the specified object.

### createPortView

    protected PortView createPortView(Port cell)

  Deprecated. replaced by `createPortView(Object)`since JGraph no longer exposes dependecies on GraphCell subclasses (Port, Edge)

  Constructs a PortView view for the specified object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.